# POST /docmee/v1/api/ppt/listPptx

**Method**: `POST`
**Endpoint**: `/docmee/v1/api/ppt/listPptx`

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
page
integer
Required
size
integer
Required
Example
{
"page"
:
0
,
"size"
:
0
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/docmee/v1/api/ppt/listPptx' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "page": 0,
    "size": 0
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
  "code": 0,
  "total": 1,
  "data": [
    {
      "id": "xxx", // ppt id
      "subject": "xxx", // provider-specific note
      "coverUrl": "https://xxx.png", // cover
      "templateId": "xxx", // provider-specific note
      "userId": "xxx", // provider-specific note
      "userName": "xxx", // provider-specific note
      "companyId": 1000,
      "updateTime": null,
      "createTime": "2024-01-01 10:00:00"
    }
  ],
  "message": "Operation succeeded"
}
```
